# Generated by Django 5.0.4 on 2024-05-27 16:22

from django.db import migrations

from maps_utils.blocks import MapPointBlock


def migrate_map_blocks(apps, schema_editor):
    DistrictCenterPage = apps.get_model("district", "DistrictCenterPage")

    for center_page in DistrictCenterPage.objects.all():
        for sidebar_block in center_page.sidebar_content.get_prep_value():
            if sidebar_block["type"] == "map":
                block_data = {**sidebar_block["value"]}

                block_data["height"] = 400

                center_page.map_area_content.append(
                    ("map", MapPointBlock().to_python(block_data))
                )
                center_page.save()

                break


class Migration(migrations.Migration):
    dependencies = [
        ("district", "0204_districtcenterpage_map_area_content"),
    ]

    operations = [migrations.RunPython(migrate_map_blocks)]
