from wagtail.blocks import (
    CharBlock,
    ListBlock,
    StructBlock,
    TextBlock,
)
from wagtail.images.blocks import ImageChooserBlock


class CommonWishBlock(StructBlock):
    image = ImageChooserBlock(
        label="Ikona",
        required=True,
    )

    title = CharBlock(
        label="Nadpis",
        required=True
    )

    description = CharBlock(
        label="Popis",
        required=True
    )

    class Meta:
        icon = "heart"
        label = "Časté přání"


class TourDateBlock(StructBlock):
    date = CharBlock(
        label="Datum a lokace",
        required=True,
        help_text="Např. 14.5. v Plzni"
    )

    details = CharBlock(
        label="Detaily",
        required=True,
        help_text="Např. 13:00 - 17:00 Parkoviště před Olympií"
    )