# Generated by Django 4.0.3 on 2022-05-01 10:03

import wagtail.blocks
import wagtail.fields
import wagtail.images.blocks
from django.db import migrations


class Migration(migrations.Migration):
    dependencies = [
        ("uniweb", "0026_alter_uniwebarticlepage_content"),
    ]

    operations = [
        migrations.AlterField(
            model_name="uniwebarticlepage",
            name="content",
            field=wagtail.fields.StreamField(
                [
                    (
                        "text",
                        wagtail.blocks.RichTextBlock(
                            features=[
                                "h2",
                                "h3",
                                "h4",
                                "bold",
                                "italic",
                                "ol",
                                "embed",
                                "ul",
                                "link",
                                "document-link",
                                "image",
                            ],
                            label="Textový editor",
                        ),
                    ),
                    (
                        "gallery",
                        wagtail.blocks.StructBlock(
                            [
                                (
                                    "gallery_items",
                                    wagtail.blocks.ListBlock(
                                        wagtail.images.blocks.ImageChooserBlock(
                                            label="obrázek", required=True
                                        ),
                                        group="ostatní",
                                        icon="image",
                                        label="Galerie",
                                    ),
                                )
                            ],
                            label="Galerie",
                        ),
                    ),
                    (
                        "youtube",
                        wagtail.blocks.StructBlock(
                            [
                                (
                                    "poster_image",
                                    wagtail.images.blocks.ImageChooserBlock(
                                        help_text="Není třeba vyplňovat, náhled bude dohledán automaticky.",
                                        label="Náhled videa (automatické pole)",
                                        required=False,
                                    ),
                                ),
                                (
                                    "video_url",
                                    wagtail.blocks.URLBlock(
                                        help_text="Odkaz na YouTube video bude automaticky zkonvertován na ID videa a NEBUDE uložen.",
                                        label="Odkaz na video",
                                        required=False,
                                    ),
                                ),
                                (
                                    "video_id",
                                    wagtail.blocks.CharBlock(
                                        help_text="Není třeba vyplňovat, bude automaticky načteno z odkazu.",
                                        label="ID videa (automatické pole)",
                                        required=False,
                                    ),
                                ),
                            ],
                            label="YouTube video",
                        ),
                    ),
                    (
                        "map_point",
                        wagtail.blocks.StructBlock(
                            [
                                (
                                    "lat",
                                    wagtail.blocks.DecimalBlock(
                                        help_text="Např. 50.04075",
                                        label="Zeměpisná šířka",
                                    ),
                                ),
                                (
                                    "lon",
                                    wagtail.blocks.DecimalBlock(
                                        help_text="Např. 15.77659",
                                        label="Zeměpisná délka",
                                    ),
                                ),
                                (
                                    "hex_color",
                                    wagtail.blocks.CharBlock(
                                        default="000000",
                                        help_text="Zadejte barvu pomocí HEX notace (bez # na začátku).",
                                        label="Barva špendlíku (HEX)",
                                    ),
                                ),
                                (
                                    "zoom",
                                    wagtail.blocks.IntegerBlock(
                                        default=15,
                                        label="Výchozí zoom",
                                        max_value=18,
                                        min_value=1,
                                    ),
                                ),
                                (
                                    "style",
                                    wagtail.blocks.ChoiceBlock(
                                        choices=[
                                            ("osm-mapnik", "OSM Mapnik"),
                                            ("stamen-toner", "Stamen Toner"),
                                            ("stamen-terrain", "Stamen Terrain"),
                                            (
                                                "stadia-osm-bright",
                                                "Stadia OSM Bright (vyžaduje API klíč)",
                                            ),
                                            (
                                                "stadia-outdoors",
                                                "Stadia Outdoors (vyžaduje API klíč)",
                                            ),
                                        ],
                                        label="Styl",
                                    ),
                                ),
                                (
                                    "height",
                                    wagtail.blocks.IntegerBlock(
                                        label="Výška v px",
                                        max_value=1000,
                                        min_value=100,
                                    ),
                                ),
                            ],
                            label="Špendlík na mapě",
                        ),
                    ),
                    (
                        "map_collection",
                        wagtail.blocks.StructBlock(
                            [
                                (
                                    "lat",
                                    wagtail.blocks.DecimalBlock(
                                        help_text="Např. 50.04075",
                                        label="Zeměpisná šířka",
                                    ),
                                ),
                                (
                                    "lon",
                                    wagtail.blocks.DecimalBlock(
                                        help_text="Např. 15.77659",
                                        label="Zeměpisná délka",
                                    ),
                                ),
                                (
                                    "hex_color",
                                    wagtail.blocks.CharBlock(
                                        default="000000",
                                        help_text="Zadejte barvu pomocí HEX notace (bez # na začátku).",
                                        label="Barva špendlíku (HEX)",
                                    ),
                                ),
                                (
                                    "zoom",
                                    wagtail.blocks.IntegerBlock(
                                        default=15,
                                        label="Výchozí zoom",
                                        max_value=18,
                                        min_value=1,
                                    ),
                                ),
                                (
                                    "style",
                                    wagtail.blocks.ChoiceBlock(
                                        choices=[
                                            ("osm-mapnik", "OSM Mapnik"),
                                            ("stamen-toner", "Stamen Toner"),
                                            ("stamen-terrain", "Stamen Terrain"),
                                            (
                                                "stadia-osm-bright",
                                                "Stadia OSM Bright (vyžaduje API klíč)",
                                            ),
                                            (
                                                "stadia-outdoors",
                                                "Stadia Outdoors (vyžaduje API klíč)",
                                            ),
                                        ],
                                        label="Styl",
                                    ),
                                ),
                                (
                                    "height",
                                    wagtail.blocks.IntegerBlock(
                                        label="Výška v px",
                                        max_value=1000,
                                        min_value=100,
                                    ),
                                ),
                            ],
                            label="Mapová kolekce",
                        ),
                    ),
                ],
                blank=True,
                verbose_name="Článek",
            ),
        ),
    ]
